<?php

namespace Drupal\subentity\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Common class for entity settings form.
 *
 * The FORM_ID must be set in child class.
 */
class EntitySettingsForm extends FormBase {

  /**
   * The formId.
   */
  const FORM_ID = '';

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return static::FORM_ID;
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['entity_settings']['#markup'] = $this->t(
      'Settings form for entities. Manage field settings here.'
    );

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Empty implementation of the abstract submit class.
  }

}
